## function2 4.2.5

=== cmake/CMakeLists.txt ===
include(cmake/configure_compiler.cmake)
