=== debian/changelog ===
function2 (4.2.5-0~mx25) mx; urgency=medium

  * Initial build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 21 Dec 2025 00:13:23 +0000
