=== debian/control ===
Source: function2
Section: Libraries
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  debhelper (>= 12),
				cmake,
				googletest,
				libgtest-dev,
				clang
Standards-Version: 4.5.8

Package: function2-dev
Architecture: any
Description: function2 provides improved implementations of std::function:
