=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_configure:
	mv googletest test/googletest
	cmake .. -DCMAKE_BUILD_TYPE="Release" \
           -DCMAKE_INSTALL_PREFIX=/usr \
           -DBUILD_TESTING=OFF
           
override_dh_strip:
	dh_strip --no-automatic-dbgsym
